/**
 * Copyright (C) 2008  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.console.navigation;

import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.container.xml.InitParams;
import org.exoplatform.container.xml.ObjectParameter;

/**
 * TODO describe the code purpose
 * 
 * @author Elwalid Brahim <elwalid.brahim@bull.net>
 */

public class ConsolePortletsConfigPlugin extends BaseComponentPlugin {

  private ConsolePortletsConfig consoleConfig;

  public ConsolePortletsConfigPlugin(InitParams params) {
    ObjectParameter param = params.getObjectParam("accessible.portlets");

    if (param != null) {
      // Make sure the Object parameter is specified in the configuration
      this.consoleConfig = (ConsolePortletsConfig) param.getObject();
    }
  }

  public ConsolePortletsConfig getConsolePortletsConfig() {
    return this.consoleConfig;
  }
}
